get
https://{yourinstance}.makaira.io/component//usage
This API is used to get the landing pages that are using this component.
Returns a list of all pages and landing pages that currently use a specific component.
Requires authentication.
Request
GET /component/{id}/usage
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The ID of the component. |
Headers
| Header | Value |
|---|---|
Authorization | Bearer <token> |
Response
Returns a JSON object describing where the component is used.
Response Body
| Field | Type | Description |
|---|---|---|
pages | array | List of page editor pages that include this component. |
landingPages | array | List of landing pages that include this component. |
200OK

